Bug 11512 - /sbin/mount.ncp swallows or replaces numerous mount options
/sbin/mount.ncp swallows or replaces numerous mount options
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ncpfs (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-18 14:42 EDT by pbc
Modified: 2014-03-16 22:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-22 14:46:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description pbc 2000-05-18 14:42:16 EDT
It appears that /sbin/mount.ncp was designed to provide some simple
defaults for ncpmount command, but it does not respect the numerous options
available for ncpmount. A line such as this in /etc/fstab

K2  /mnt/k2/var  ncp
defaults,mode=644,uid=root,gid=pbc,owner=pbc,volume=TMP,passwdfile=/etc/ncp
pass,server=K2,user=SERVICE_K2,multiple    0 0

will result in an ncpmount command that has a different mode, the default
owner, no password, different file modes, no multiple option, no volume.
There are *lots* more options that would also be omitted from the ncpmount
command.

I found it *far* more useful to simply replace /sbin/mount.ncp with a
symlink to /usr/bin/ncpmount.  It now does what I asked it to do.

Thanks for listening,
Philip
Comment 1 Bill Nottingham 2000-05-22 14:46:59 EDT
Hm, last time I checked, symlinking didn't work
properly. Apparently it does now. Fixed in 2.2.0.17-6.

Note You need to log in before you can comment on or make changes to this bug.